#include <iostream>
#include <stdexcept>
#include <cmath>

double calculateSquareRoot(double number) {
    if (number < 0) {
        throw std::invalid_argument("Negative input is not allowed");
    }
    return std::sqrt(number);
}

int main() {
    try {
        std::cout << calculateSquareRoot(-9) << std::endl;
    } catch (const std::invalid_argument& e) {
        std::cerr << "Error: " << e.what() << std::endl;
    }
    return 0;
}
